﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using System.Diagnostics;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public static RoutedCommand CheckboxCheckedCommand;

		public Window1()
		{
			InitializeComponent();
		}

		static Window1()
		{
			Window1.CheckboxCheckedCommand = new RoutedCommand("CheckboxChecked", typeof(Window1));
			CommandManager.RegisterClassCommandBinding(typeof(Window1), new CommandBinding(Window1.CheckboxCheckedCommand, new ExecutedRoutedEventHandler(Window1.OnCheckboxCheckedCommand)));
		}

		private static void OnCheckboxCheckedCommand(object target, ExecutedRoutedEventArgs args)
		{
			Window1 window1 = target as Window1;
			if (window1 != null)
			{
				DataRecord	dataRecord	= args.Parameter as DataRecord;
				CheckBox	checkbox	= args.OriginalSource as CheckBox;
				if (dataRecord != null  && checkbox != null)
				{
					Debug.WriteLine("Processing checkbox on DataRecord '" + dataRecord.ToString() + "', checkbox value is '" + checkbox.IsChecked.ToString() + "'");
				}
			}
		}

		private ObservableCollection<My6ColumnObject> Get6ColumnData()
		{
			ObservableCollection<My6ColumnObject> c = new ObservableCollection<My6ColumnObject>();

			c.Add(new My6ColumnObject(-1, false, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, true, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, true, -3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, true, 3, -4, 5, 6));
			c.Add(new My6ColumnObject(1, false, 3, 4, -5, 6));
			c.Add(new My6ColumnObject(1, false, 3, 4, 5, -6));
			c.Add(new My6ColumnObject(-1, true, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, false, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, true, -3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, false, 3, -4, 5, 6));
			c.Add(new My6ColumnObject(1, true, 3, 4, -5, 6));
			c.Add(new My6ColumnObject(1, false, 3, 4, 5, -6));
			c.Add(new My6ColumnObject(-1, true, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(9, false, 9, 9, 9, 9));

			return c;
		}

		private void Window_Initialized(object sender, EventArgs e)
		{
			this.xamDataGrid1.DataSource = this.Get6ColumnData();
		}
	}

	public class My6ColumnObject
	{
		private int _column1 = 0;
		private bool _column2 = true;
		private int _column3 = 0;
		private int _column4 = 0;
		private int _column5 = 0;
		private int _column6 = 0;

		public My6ColumnObject()
		{
		}

		public My6ColumnObject(int column1, bool column2, int column3, int column4, int column5, int column6)
		{
			this._column1 = column1;
			this._column2 = column2;
			this._column3 = column3;
			this._column4 = column4;
			this._column5 = column5;
			this._column6 = column6;
		}

		public int Column1Of6
		{
			get { return this._column1; }
			set { this._column1 = value; }
		}

		public bool Column2Of6
		{
			get { return this._column2; }
			set { this._column2 = value; }
		}

		public int Column3Of6
		{
			get { return this._column3; }
			set { this._column3 = value; }
		}

		public int Column4Of6
		{
			get { return this._column4; }
			set { this._column4 = value; }
		}

		public int Column5Of6
		{
			get { return this._column5; }
			set { this._column5 = value; }
		}

		public int Column6Of6
		{
			get { return this._column6; }
			set { this._column6 = value; }
		}
	}
}
